// compiled with
//g++ -g -O -pthread -m32 -I/$ROOTSYS/include  test.o
//ld  ld -I/$ROOTSYS/include -L/usr/global/root/root5.18_00fc8/lib -lCore -lCint -lRIO -lNet -lHist -lGraf -lGraf3d -lGpad -lTree -lRint -lPostscript -lMatrix -lPhysics -lGui -ldl test.o -o test

#ifndef  __GVSetPage__
#define  __GVSetPage__

#include <TQObject.h>
#include <RQ_OBJECT.h>

#include "stdio.h"

#include <TGFrame.h>
#include <TGButtonGroup.h>
#include <TGButton.h>
#include <TGTextEntry.h>
#include <TGLabel.h> 
#include <TGComboBox.h>
#include <TTimer.h>
#include <TApplication.h> 
#include <TGClient.h>

#include <TGLayout.h>
#include <TVirtualPadEditor.h>
#include <TGMsgBox.h>


class GVSetPage:public TGTransientFrame {

 private:

  TGTextButton     *fButtonOk, *fButtonCancel;

   TGCompositeFrame *fAboveFrame;

   TGMainFrame  *fMAin;

  TGTextEntry      *fEntryNamePage;//!
  TGMatrixLayout   *fLayoutGroup;//!
  TGLabel          *fLabNamePage,*fLabNbPads ;//!
  TGComboBox       *fComboNbPad;//!
  TGGroupFrame     *fGroup; //!
  Int_t            fNbPadsOld ;
  TString           fPageNameOld; 
  Int_t             *fNbPads ;   //!
  TString           *fPageName;  //!
  bool              fNewTab; 
  Int_t             fNbTab;

 public:

 GVSetPage(const TGWindow *p,const TGWindow *m,UInt_t w, UInt_t h, TString message,Int_t nbTab,TString* PageName,Int_t* nbPads);

  virtual       ~GVSetPage();

  void DoOk();

  void DoCancel();
  void DoQuit();
  void CloseWindow();

  ClassDef(GVSetPage,1)// Set Page  dialog
};


#endif





